• English
  • Query order results

    Request Path

    /api/v2/payment/merchant/order/queryStatus

    Parameter List

    NameTypeLengthRequiredDescription
    orderIdString32NoUnique Order No of the merchant, which can be used to query the order. If there is no orderId, you can send the orderNo.
    orderNoString32NoUnique Order No of PalmPay, which can be used to query the order. If there is no orderNo, you can send the orderId.

    Return Value

    NameTypeLengthRequiredDescription
    orderIdString32YesThe unique Order Number of the merchant, which can be used to query transaction results
    orderNoString32YesPalmPay platform Order No.
    merchantIdString32YesMerchant number
    currencyString10YesCurrency (NGN/GHS/TZS/KES/ZAR)
    amountLong-YesTransaction amount (minimum unit measurement)
    orderStatusInteger20YesOrder status (see order Status )
    remarkString200NoRemarks
    errorMsgString200NoError message
    createdTimeLong-Yesorder create time
    completedTimeLong-Noorder complate time
    payMethodString-NoPayment method
    productTypeString-NoActual product type when the user pays the order e.g. pay_wallet, bank_transfer, mmo
    payerBankNameString-NoBank name of virtual account (returned when productType is bank_transfer)
    payerAccountNameString-NoAccount name of virtual account(returned when productType is bank_transfer)
    payerVirtualAccNoString200NoAccount no of virtual account(returned when productType is bank_transfer)

    Error Codes

    Error Codes

    Postman Example

    Request

    
    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/payment/merchant/order/queryStatus' \
    --header 'Accept: application/json, text/plain, */*' \
    --header 'CountryCode: NG' \
    --header 'Authorization: Bearer 10241024' \
    --header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
    --header 'Content-Type: application/json' \
    --data '{
        "requestTime": 1662171389940,
        "version": "V1.1",
        "nonceStr": "IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
        "orderId": "1558616686273",
        "orderNo": "242019052313044587518762420"
    }'
    

    Response

    {
        "respCode": "00000000",
        "respMsg": "success",
        "data": {
            "orderId": "1558616686273",
            "orderNo": "242019052313044587518762420",
            "merchantId": "CH1913953825",
            "errorMsg": "error",
            "currency": "NGN",
            "amount": 900000,
            "orderStatus": 2,
            "payMethod": "pay_wallet",
            "remark": "test"
        }
    }